import React, { useLayoutEffect, useState } from 'react';
import { Icon } from '../Icon/Icon';
import classNames from 'classnames';
import { Button } from '../Button/Button';
const backToTop = () => {
    window.scrollTo({ top: 0, behavior: 'smooth' });
};
export const BackToTop = ({ className, dark = false, small = false, shadow = false, showOffset = 200 }) => {
    const [showBtn, setShowBtn] = useState(false);
    useLayoutEffect(() => {
        window.addEventListener('scroll', () => {
            if (window.scrollY > showOffset) {
                setShowBtn(true);
            }
            else {
                setShowBtn(false);
            }
        });
    }, [showOffset]);
    return (React.createElement(Button, { "aria-hidden": 'true', tabIndex: -1, className: classNames(className, 'back-to-top', small && 'back-to-top-small', showBtn && 'back-to-top-show', dark && 'dark', shadow && 'shadow'), id: 'back-to-top-btn', onClick: backToTop, style: { padding: 0 }, color: !dark ? 'primary' : '' },
        React.createElement(Icon, { color: dark ? 'secondary' : 'white', icon: 'it-arrow-up', style: { top: 0 } })));
};
//# sourceMappingURL=BackToTop.js.map