import React from 'react';
import { Breadcrumb as BreadcrumbBase } from 'reactstrap';
import classNames from 'classnames';
export const Breadcrumb = ({ className, listClassName, dark, 'aria-label': label, testId, ...attributes }) => {
    const classes = classNames(className, 'breadcrumb-container');
    const listClasses = classNames(listClassName, { dark }, dark && 'px-3');
    const ariaLabel = label ?? 'Percorso di navigazione';
    return (React.createElement(BreadcrumbBase, { className: classes, listClassName: listClasses, "aria-label": ariaLabel, "data-testid": testId, ...attributes }));
};
//# sourceMappingURL=Breadcrumb.js.map