import React from 'react';
import classNames from 'classnames';
export const Callout = ({ children, color = '', highlight = false, className, detailed, tag = 'div', testId, ...attributes }) => {
    const Tag = tag;
    const classes = classNames(className, color, 'callout', {
        'callout-highlight': highlight,
        'callout-more': detailed
    });
    return (React.createElement(Tag, { className: classes, ...attributes, "data-testid": testId }, !highlight && !detailed ? React.createElement("div", { className: 'callout-inner' }, children) : children));
};
//# sourceMappingURL=Callout.js.map