import React from 'react';
import classNames from 'classnames';
import { Collapse as CollapseBase } from 'reactstrap';
export const Collapse = ({ header = false, className, navbar, megamenu, children, isOpen = false, onOverlayClick, cssModule, testId, ...attributes }) => {
    const newCssModule = {
        'navbar-collapse': 'navbar-collapsable',
        ...cssModule
    };
    if (megamenu || navbar || header) {
        const classes = classNames(className, 'navbar-collapse', {
            expanded: isOpen
        });
        const style = { display: isOpen ? 'block' : 'none' };
        return (React.createElement(CollapseBase, { theme: 'dark', className: classes, cssModule: newCssModule, navbar: navbar, style: style, "data-testid": testId, ...attributes },
            React.createElement("div", { className: 'overlay', style: style, onClick: onOverlayClick }),
            React.createElement("div", { className: 'close-div visually-hidden' },
                React.createElement("button", { className: 'btn close-menu', type: 'button' },
                    React.createElement("span", { className: 'it-close' }),
                    "close")),
            megamenu ? React.createElement("div", { className: 'menu-wrapper ' }, children) : React.createElement(React.Fragment, null, children)));
    }
    const classes = classNames(className, {
        'link-list-wrapper': header
    });
    return (React.createElement(CollapseBase, { className: classes, cssModule: newCssModule, ...attributes, navbar: navbar, isOpen: isOpen, "data-testid": testId }, children));
};
//# sourceMappingURL=Collapse.js.map