import React from 'react';
import classNames from 'classnames';
import { Icon } from '../Icon/Icon';
export const Dimmer = ({ icon, color, className, wrapperClassName, testId, ...attributes }) => {
    const { children, ...rest } = attributes;
    const classes = classNames('dimmer', wrapperClassName === true ? className : wrapperClassName, {
        [`dimmer-${color}`]: color
    });
    const innerClasses = classNames('dimmer-inner', className);
    const dimmerIcon = icon && (React.createElement("div", { className: 'dimmer-icon' },
        React.createElement(Icon, { icon: icon })));
    return (React.createElement("div", { className: classes, ...rest, style: { display: 'flex' }, "data-testid": testId },
        React.createElement("div", { className: innerClasses, ...rest },
            dimmerIcon,
            children)));
};
//# sourceMappingURL=Dimmer.js.map