import { useEffect } from 'react';
const defaultFonts = [
    'Titillium Web:300,400,600,700:latin-ext',
    'Lora:400,700:latin-ext',
    'Roboto Mono:400,700:latin-ext'
];
export function useFontLoader({ fonts }) {
    useEffect(() => {
        if (typeof window !== 'undefined') {
            const WebFont = require('webfontloader');
            WebFont.load({
                custom: {
                    families: [...defaultFonts, ...(fonts || [])]
                }
            });
        }
    }, [fonts]);
}
export const FontLoader = (props) => {
    useFontLoader(props);
    return null;
};
//# sourceMappingURL=FontLoader.js.map