import React from 'react';
import classNames from 'classnames';
import { Icon } from '../Icon/Icon';
export const HeaderSearch = ({ className, label, href, iconName = 'it-search', testId, ...attributes }) => {
    const classes = classNames('it-search-wrapper', className);
    return (React.createElement("div", { className: classes, ...attributes, "data-testid": testId },
        label && React.createElement("span", { className: 'd-none d-md-block' }, label),
        React.createElement("a", { className: 'search-link rounded-icon', "aria-label": label, href: href },
            React.createElement(Icon, { icon: iconName }))));
};
//# sourceMappingURL=HeaderSearch.js.map