import React from 'react';
import classNames from 'classnames';
import { Sticky, StickyProvider } from 'react-stickup';
export const Headers = ({ className, shadow = false, sticky = false, testId, ...attributes }) => {
    const classes = classNames('it-header-wrapper', {
        'it-shadow': shadow,
        'it-header-sticky': sticky
    }, className);
    if (!sticky) {
        return React.createElement("div", { className: classes, ...attributes, "data-testid": testId });
    }
    return (React.createElement(StickyProvider, null,
        React.createElement(Sticky, { style: { position: 'sticky', zIndex: 2 }, "data-testid": testId },
            React.createElement("div", { className: classes, ...attributes }))));
};
//# sourceMappingURL=Headers.js.map