import React from 'react';
export const InputContainer = ({ id, infoId, infoText, testId, activeClass, extraLabelClass, label, validationTextClass, validationText, wrapperClass, hasButtonRight, buttonRight, hasIconLeft, iconLeft, children }) => {
    if (hasButtonRight || hasIconLeft) {
        return (React.createElement("div", { className: wrapperClass, "data-testid": testId },
            React.createElement("div", { className: 'input-group' },
                hasIconLeft && React.createElement("span", { className: 'input-group-text' }, iconLeft),
                React.createElement("label", { htmlFor: id, className: activeClass + ' ' + extraLabelClass }, label),
                children,
                infoText && (React.createElement("small", { id: infoId, className: 'form-text' }, infoText)),
                React.createElement("div", { className: validationTextClass }, validationText),
                hasButtonRight && React.createElement("div", { className: 'input-group-append' }, buttonRight))));
    }
    return (React.createElement("div", { className: wrapperClass, "data-testid": testId },
        React.createElement("label", { htmlFor: id, className: activeClass + ' ' + extraLabelClass }, label),
        children,
        infoText && (React.createElement("small", { id: infoId, className: 'form-text' }, infoText)),
        React.createElement("div", { className: validationTextClass }, validationText)));
};
//# sourceMappingURL=InputContainer.js.map