import React from 'react';
import { Modal as InnerModal } from 'reactstrap';
import classnames from 'classnames';
export const Modal = ({ withIcon, withLinkList, popConfirm, modalClassName, align, scrollable, className, ...props }) => {
    const isAligned = align != null && ['left', 'right'].includes(align);
    const modalDialogClassnames = classnames(modalClassName, {
        'alert-modal': withIcon,
        'it-dialog-link-list': withLinkList,
        'popconfirm-modal': popConfirm,
        'it-dialog-scrollable': scrollable && isAligned
    });
    const modalClassnames = classnames(className, {
        'modal-dialog-left': align === 'left',
        'modal-dialog-right': align === 'right'
    });
    return (React.createElement(InnerModal, { ...props, scrollable: !isAligned && scrollable, className: modalClassnames, modalClassName: modalDialogClassnames }));
};
//# sourceMappingURL=Modal.js.map