import React from 'react';
import classNames from 'classnames';
import { Icon } from '../Icon/Icon';
import { mapToCssModules } from '../utils';
export const ModalHeader = ({ icon, className, children, Util, toggle, tag: Tag = 'h5', wrapTag: WrapTag = 'div', closeAriaLabel = 'Close', close, cssModule, ...props }) => {
    const classes = mapToCssModules(classNames(className, 'modal-header'), cssModule);
    let CloseButton;
    if (!close && toggle) {
        CloseButton = (React.createElement("button", { type: 'button', onClick: toggle, className: mapToCssModules('btn-close', cssModule), "aria-label": closeAriaLabel }));
    }
    return (React.createElement(WrapTag, { ...props, className: classes },
        icon != null ? React.createElement(Icon, { icon: icon }) : null,
        React.createElement(Tag, { className: mapToCssModules('modal-title', cssModule) }, children),
        close || CloseButton));
};
//# sourceMappingURL=ModalHeader.js.map