const black = '#000';
const primary = '#06c';
const primaryDark = '#435a70';
const primaryDarker = '#17324d';
// Types here depend of react-select internal emotion dep + more parametric stuff
// @TODO: fix it this way for now, will review later on
export const styles = {
    container: (provided) => ({ ...provided, height: '2.5rem' }),
    control: (provided) => ({
        ...provided,
        height: '2.5rem',
        borderRadius: '0',
        borderLeft: 'none',
        borderRight: 'none',
        borderTop: 'none',
        borderBottom: `solid ${primaryDark} 1px`,
        boxShadow: 'none',
        '&:hover': { borderBottom: `solid ${primaryDark} 1.25px` } // border style on hover
    }),
    dropdownIndicator: (provided) => ({
        ...provided,
        fill: primaryDark
    }),
    option: (provided, { isDisabled, isFocused, isSelected }) => ({
        ...provided,
        background: 'white',
        textDecoration: isFocused || isSelected ? 'underline' : 'none',
        color: isSelected ? primaryDarker : primary,
        cursor: isDisabled ? 'not-allowed' : 'pointer'
    }),
    placeholder: (provided) => ({
        ...provided,
        fill: primaryDark
    }),
    singleValue: (provided) => ({
        ...provided,
        color: black,
        fontWeight: 'bold'
    }),
    valueContainer: (provided) => ({
        ...provided,
        height: '2.5rem'
    })
};
//# sourceMappingURL=shared.js.map