import React from 'react';
import classNames from 'classnames';
export const Sidebar = ({ className, testId, tag = 'div', secondary = false, left = false, right = false, dark = false, ...attributes }) => {
    const Tag = tag;
    const wrapperClasses = classNames('sidebar-wrapper', className, {
        'it-line-left-side': left,
        'it-line-right-side': right,
        'theme-dark': dark
    });
    const wrapperClassesLinkList = classNames('sidebar-linklist-wrapper', {
        'linklist-secondary': secondary
    });
    if (secondary) {
        return React.createElement(Tag, { ...attributes, className: wrapperClassesLinkList, "data-testid": testId });
    }
    return (React.createElement(Tag, { className: wrapperClasses, "data-testid": testId },
        React.createElement(Tag, { ...attributes, className: wrapperClassesLinkList })));
};
//# sourceMappingURL=Sidebar.js.map