import React from 'react';
import classNames from 'classnames';
export const SkiplinkItem = ({ className, tag = 'a', focusable = true, testId, ...attributes }) => {
    const Tag = tag;
    const classes = classNames(className, {
        'visually-hidden-focusable': focusable
    });
    // Add an extra href for focusable if the user passes an onClick rather than href prop
    const extraHref = attributes.onClick ? { href: '#' } : {};
    return React.createElement(Tag, { className: classes, ...attributes, ...extraHref, "data-testid": testId });
};
//# sourceMappingURL=SkiplinkItem.js.map