import React from 'react';
import classNames from 'classnames';
export const Spinner = ({ className, tag = 'span', active = false, small = false, double = false, label = 'Caricamento', testId, ...attributes }) => {
    const Tag = tag;
    const wrapperClasses = classNames('progress-spinner', {
        'progress-spinner-active': active,
        'size-sm': small,
        'progress-spinner-double': double
    });
    const classes = classNames(className, 'visually-hidden');
    if (double) {
        return (React.createElement(Tag, { className: wrapperClasses, "data-testid": testId },
            React.createElement("div", { className: 'progress-spinner-inner' }),
            React.createElement("div", { className: 'progress-spinner-inner' }),
            React.createElement(Tag, { ...attributes, className: classes }, label)));
    }
    return (React.createElement(Tag, { className: wrapperClasses, "data-testid": testId },
        React.createElement(Tag, { ...attributes, className: classes }, label)));
};
//# sourceMappingURL=Spinner.js.map