import React from 'react';
import classNames from 'classnames';
import { Icon } from '../Icon/Icon';
const variants = {
    confirmed: 'confirmed',
    active: 'active',
    done: 'done',
    mobile: 'steppers-index',
    // @deprecated
    'steppers-index': 'steppers-index'
};
export const StepperHeaderElement = ({ tag = 'li', variant, appendIcon, prependIcon, icon, iconName, noLine, stepperNumber, testId, children, className, ...attributes }) => {
    const Tag = tag;
    const wrapperClasses = classNames(variant ? variants[variant] : '', className, {
        'no-line': noLine
    });
    const iconClass = classNames('icon', 'steppers-success');
    const spanClass = classNames('steppers-number');
    const iconToAppend = appendIcon || icon;
    const iconToPrepend = prependIcon || iconName;
    return (React.createElement(Tag, { ...attributes, className: wrapperClasses, "data-testid": testId },
        iconToPrepend && React.createElement(Icon, { icon: iconToPrepend }),
        stepperNumber && React.createElement("span", { className: spanClass }, stepperNumber),
        children,
        iconToAppend && React.createElement(Icon, { icon: iconToAppend, className: iconClass })));
};
//# sourceMappingURL=StepperHeaderElement.js.map