import { FC, AnchorHTMLAttributes, ElementType } from 'react';
export interface LinkListItemProps extends AnchorHTMLAttributes<HTMLAnchorElement> {
    /** Indica se l'elemento è attivo o no */
    active?: boolean;
    /** Indica se l'elemento è disabilitato o no */
    disabled?: boolean;
    /** Indica se l'elemento ha dimensioni larghe o no */
    large?: boolean;
    /** Indica se l'elemento è bold o no */
    bold?: boolean;
    /** Indica se l'elemento è un titolo. */
    header?: boolean;
    /** Indica se l'elemento è un divisore */
    divider?: boolean;
    /** Indica se l'elemento è in un dropdown */
    inDropdown?: boolean;
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente LinkListItem */
    className?: string;
    /** Classi aggiuntive da usare per l'elemento contenitore dell'item */
    wrapperClassName?: string;
    /** Indica il link a cui l'elemento deve puntare. */
    href?: string;
    /** Indica il link route a cui l'elemento deve puntare. */
    to?: string;
    testId?: string;
}
export declare const LinkListItem: FC<LinkListItemProps> & {
    TitleIconWrapper: typeof LinkListTitleIconWrapper;
};
declare const LinkListTitleIconWrapper: FC<LinkListItemProps>;
export {};
