import { FC, HTMLAttributes, ElementType } from 'react';
export interface ProgressProps extends HTMLAttributes<HTMLElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /**
     * Classi aggiuntive da usare per il componente contenitore del Progress
     * Per replicare il comportamento precedente, in cui `className` veniva applicato anche al wrapper,
     * passare `true`.
     * */
    wrapperClassName?: string | true;
    /** Classi aggiuntive da usare per il componente interno del Progress */
    className?: string;
    /** Valore corrente (numerico) */
    value?: number | string;
    /** Etichetta con testo per indicare il progresso corrente da mostrare ai dispositivi screen reader */
    label?: string;
    /** Quando non è possibile stabilire una percentuale di progressione utilizzare una Progress Bar di tipo indeterminato */
    indeterminate?: boolean;
    /** Le varianti di colore definite in Bootstrap Italia */
    color?: 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | string;
    testId?: string;
}
export declare const Progress: FC<ProgressProps>;
